Subject: Follow up
From: "Michael B" <[email-masked]>
To: "Cynthia Matheny" <[email-masked]>
Date: Mon, 18 Dec 2017 12:12:08 -0500

Hello Cynthia.
I am sorry I haven't been available when you have called in the past few times. We are really busy now and today we are having some serious system and server issues. All things are good on my end. Our holiday schedule is we are off Monday 12/25/17 and Monday 1/1/18. Other then that, things should be operational. Happy holidays to you if I don't happen to talk to you.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355